Bug 52281 - Reboot of NFS server is too slow if former clients are down
Reboot of NFS server is too slow if former clients are down
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: nfs-server (Show other bugs)
7.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-22 07:39 EDT by Alexandre Oliva
Modified: 2007-04-18 12:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-11 06:48:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2001-08-22 07:39:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.3) Gecko/20010808

Description of problem:
When an NFS server is rebooted, it may take a very long time to restart the
NFS service and come back to life.

I suppose it attempts to contact clients that had filesystems mounted from
it at the time of the boot, but it appears to do so sequentially, and with
a very large time-out for each client.

If a server serves a lot of machines configured to dual-boot Red Hat Linux
and MS-Windows, as in some labs at the university, it may take a very long
time to reboot while it attempts to contact each client, particularly those
that are running MS-Windows at the time of the server reboot, but that had
some filesystem mounted from the server while running Red Hat Linux that
may not have been properly unmounted.

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1.Set up an NFS server for a couple of labs of dual-booted Red Hat
Linux/MS-Windows boxes.
2.Let the labs run for a while.
3.Reboot the server.
4.Wait a long time (more like hours than minutes) for NFS server to restart.
5.Give up and reboot the server again (I'm not sure it makes any
difference, but it appears that the second reboot was faster).

Actual Results:  The server takes too long to restart the NFS service when
former clients are down or running another OS that doesn't understand NFS RPCs.

Expected Results:  NFS should recover faster.

Additional info:
Comment 1 Steve Dickson 2004-08-11 06:48:57 EDT
Its up to the clients to retry, not the server to inform them
its now up. But the reboot speed seems to have gotten better in later
kernels.

Note You need to log in before you can comment on or make changes to this bug.